 
\chapter{Discrete Groups}
\section{Cyclic Groups}
The following multiplicative table for the group $ C_4 $


Let us now build a group from scratch. Let us assume that the group has two generators $ a $ and $ b $, both of them of order $ 2 $, that is $ a^2=b^2=e $. The elements of this group, let's call it $ V $, will be
\begin{equation}
V = \left\{ e, a, b, ab, ba, bab, aba, baba, abab, \dots \right\}
\end{equation}

In principle, if we do not include any other restriction, there are infinite number of elements all constructed in the form $ abababa\dots $. If we, anyhow, add the additional restriction that $ ab=ba $ (commutativity property), then all the group collapses to $ V = \left\{ e, a, b, ab\right\} $

We can therefore construct the multiplicative table for this group


\begin{table}[h!]
	\centering
	\caption{Multiplication table of the Klein-4 group $ V $}
	\label{tab:klein-4}
	\begin{tabular}{l | c c c c}
		$ V $ & $ e $ & $ a $ & $ b $ & $ ab $ \\ 
		\hline
		$ e $ & $ e $ & $ a $ & $ b $ & $ ab $ \\
		$ a $ & $ a $ & $ e $ & $ ab $ & $ b $ \\
		$ b $ & $ b $ & $ ba=ab $ & $ e $ & $ a $ \\
		$ ab $ & $ ab $ & $ b $ & $ e $ & $ b $ \\
	\end{tabular}
\end{table}

Table \ref{tab:klein-4} is called the Klein-4 table.

\section{General groups}
Let us now consider a general group $ G $, whose generators are $ a $ and $ b $. Each element of the group $ g_i $ can be written as 
\begin{equation}
g_i = a^{m_1}a^{m_1}a^{m_2}b^{m_2}a^{m_3}b^{m_3}\dots 
\end{equation}
In general the order og $ G $, $ |G| $ is in general countable but infinite. 

\section{Symmetry group}
The symmetry group of degree 3 is defined by 

\begin{equation}
G = \left\{ e, a, b, b^2, ab, ab^2\right\}
\end{equation}
\begin{table}[h!]
	\centering
	\caption{Multiplication table of the $ \sigma(3) $}
	\label{tab:sigma_3}
	\begin{tabular}{l | c c c c c c }
		$ V $ & $ e $ & $ a $ & $ b $ & $ b^2 $ & $ ab $ & $ ab^2 $ \\ 
		\hline
		$ e $ & $ e $ & $ a $ & $ b $ & $ b^2 $ & $ ab $ & $ ab^2 $ \\ 
		$ a $ & $ a $ & $ e $ & $ ab $ & $ ab^2 $ & $ b $ & $ b^2 $ \\ 
		$ b $ & $ b $ & $ ab^2 $ & $ b^2 $ & $ b $ & $ a $ & $ ab $ \\ 
		$ b^2 $ & $ b^2 $ & $ ab $ & $ e $ & $ b $ & $ ab^2 $ & $ a $ \\ 
		$ ab $ & $ ab $ & $ b $ & $ ab^2 $ & $ a $ & $ e $ & $ b $ \\ 
		$ ab^2 $ & $ b^2 $ & $ b $ & $ a $ & $ ab $ & $ b^2 $ & $ e $ \\ 
	\end{tabular}
\end{table}

\section{Coset}
We define right and left coset.  
Consider again
\begin{equation}
G = \left\{ e, a, b, b^2, ab, ab^2\right\}
\end{equation}
all the cyclic subgroups are given by 
\begin{align}
H_1&=\left\{e,a \right\} \\
H_2&=\left\{e,b,b^2 \right\} \\
H_3&=\left\{e,ab \right\} \\
H_4&=\left\{e,ab^2 \right\} 
\end{align}

\begin{definition}[coset]
	Given an element $ g\in G $, the left (respectively right) coset of a subgroup $ H\subset G $ is denoted as $ gH $ (respectively $ Hg $) and is obtained by multiplying on the left (resp. on the right) each element of the subgroup by $ g $. 
\end{definition}

If we take $ H_2 $ we have, for example
\begin{align}
	bH_1 =& \left\{ b, ab^2=ba \right\} \\
	H_1b =& \left\{ b, ab \right\}
\end{align}
and we can immediately see that $ bH_1 \neq H_1b $. Instead, 
\begin{align}
aH_2 =& \left\{ a, ab, ab^2 \right\} \\
H_2a =& \left\{ a, ba=ab^2, b^2a=ab \right\}
\end{align}
and then $ aH_2=H_2a $.

\begin{theorem}
	Every group $ G $ can be written as a disjoint union of left (respectively right) cosets.
\end{theorem}
Infact, 
\begin{align}
G &= \left\{ e, a, b, b^2, ab, ab^2\right\} \\
&= e \cup \left\{ e, a\right\}b \cup \left\{ e, a\right\}b^2
\end{align}

\begin{definition}
	Given a group $ G $, a \emph{normal subgroup} is a subgroup $ H $ in which right and left invariant coincides, i.e.,
	\begin{equation}\label{eq:normal_subgroup}
		gH=Hg, \quad \forall g\in G
	\end{equation}. 
	The usual notation for this relation is $ H\triangleleft G $.
\end{definition}

\section{Recap example: the Quaternions}
Quaternions are generated by 4 generator $ i,j,k,s $ ($ s=-1 $) with the following constraints:

\begin{align}\label{eq:quaternions}
\begin{cases}
i^2= j^2 = k^2 = ijk = s \\
s^2 = e.
\end{cases}
\end{align}

\section{Permutation Group}
In general there are $ n! $ elements.

\begin{align}
	\pi_1 = \begin{pmatrix}
	1 & 2 & 3 \\
	1 & 2 & 3 \\
	\end{pmatrix} 
	\qquad
	\pi_4 = \begin{pmatrix}
	1 & 2 & 3 \\
	1 & 3 & 2 \\
	\end{pmatrix} \\
	\pi_2 = \begin{pmatrix}
	1 & 2 & 3 \\
	2 & 1 & 3 \\
	\end{pmatrix} 
	\qquad
	\pi_5 = \begin{pmatrix}
	1 & 2 & 3 \\
	2 & 3 & 1 \\
	\end{pmatrix} \\
	\pi_3 = \begin{pmatrix}
	1 & 2 & 3 \\
	3 & 2 & 1 \\
	\end{pmatrix} 
	\qquad
	\pi_6 = \begin{pmatrix}
	1 & 2 & 3 \\
	3 & 2 & 1 \\
	\end{pmatrix} 
\end{align}
The rule for multiplying two elements become
\begin{equation}\label{key}
\pi_2\pi_2 = \begin{pmatrix}
1 & 2 & 3 \\
2 & 1 & 3 \\
\end{pmatrix}\circ
\begin{pmatrix}
2 & 1 & 3 \\
1 & 2 & 3 \\
\end{pmatrix}
= \pi_1 = e
\end{equation}
So we already see also that $ \pi_2\circ \pi_2 = e $, then $ \pi_2^{-1}=\pi_2 $.

All the following identities hold
\begin{equation}\label{key}
\pi_3^{-1}=\pi_3, \quad \pi_4^{-1}=\pi_4, \quad \pi_6^{-1}=\pi_6^{2}=\pi_5,\quad \pi_5^{-1}=\pi_5^{2}
\end{equation}

\begin{theorem}[Cayley]
	Cayley's theorem is really important 
\end{theorem}

The number of elements with a cycle structure of a group is given by the formula 
\begin{equation}\label{number_cycle_structure}
\frac{n!}{\prod_{i=1}^{n} i_k! k^{i_k}} 
\end{equation}

\section{Young Diagram}
Young diagrams provides an easy and efficient way for enumerating and counting the number of conjugacy classes of a group.

\chapter{Molecular Symmetries}

\section{Point Groups}

\section{Matrix Representation of Groups}

\section{Reducible and Irreducible Representations}

\section{Great Orthogonality Theorem and Character Table}

\section{Mulliken Symbol Notation}

 